Bug 824520 (CVE-2012-2671) - CVE-2012-2671 rubygem-rack-cache: caches sensitive headers (such as Set-Cookie)
Summary: CVE-2012-2671 rubygem-rack-cache: caches sensitive headers (such as Set-Cookie)
Status: CLOSED UPSTREAM
Alias: CVE-2012-2671
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20120215,repor...
Keywords: Security
Depends On: 824523
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-23 16:27 UTC by Vincent Danen
Modified: 2019-06-10 10:58 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-10 10:58:37 UTC


Attachments (Terms of Use)

Description Vincent Danen 2012-05-23 16:27:44 UTC
The Rack::Cache rubygem has a flaw where it will cache sensitive headers (such as Set-Cookie response headers), which could leak potentially sensitive information.

This has been corrected in upstream git [1].

[1] https://github.com/rtomayko/rack-cache/commit/2e3a64d07daac4c757cc57620f2288e865a09b90

Comment 1 Vincent Danen 2012-05-23 16:34:40 UTC
Created rubygem-rack-cache tracking bugs for this issue

Affects: fedora-17 [bug 824523]

Comment 2 Fedora Update System 2012-06-05 23:02:31 UTC
rubygem-rack-cache-1.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Kurt Seifried 2012-06-06 16:57:43 UTC
Added CVE as per http://www.openwall.com/lists/oss-security/2012/06/06/8

Comment 5 Product Security DevOps Team 2019-06-10 10:58:37 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.